{% extends "common/html.html" %}
{% load static gdaps %}

{% block body %}
  <div class="page" id="page">
    {% include 'core/layouts/offcanvas_left.html' %}
    {% include 'core/layouts/navbar.html' %}
    <!-- canvas -->
    {% block canvas %}
      {% block navigation %}
        {# Here plugins can place a nav sidebar (with div.col-2), #}
        {# or even an additional header navigation bar            #}
        <aside id="sidebar" class="navbar navbar-vertical navbar-expand-lg navbar-light mt-lg-35 mt-0" >
          <div id="sidebar-menu" class="navbar-collapse collapse">
            {% block sidebar-menu %}{% endblock %}
          </div>
        </aside>
      {% endblock %}
      {% block page-wrapper %}
        <div id="page-wrapper" class="page-wrapper p-1">
          {% block page-header %}
            <div id="page-header" class="page-header d-print-none">
              <div class="row g-1 align-items-center">
                <div class="col">
                  <!-- Page pre-title -->
                  <div id="page-pretitle" class="page-pretitle">
                    {% block pretitle %}{% endblock %}
                  </div>
                  <h2 id="page-title" class="page-title">
                    {% block page-title %}{% endblock %}
                  </h2>
                  <div id="page-subtitle" class="page-subtitle">
                    {% block subtitle %}{% endblock %}
                  </div>
                </div>
                <!-- Page title actions -->
                <div id="page-title-actions" class="col-auto ms-auto d-print-none">
                  {% block page-title-actions %}
                    {# <div class="btn-list">#}
                    {#   <span class="d-none d-sm-inline">#}
                    {#     <a href="#" class="btn">#}
                    {#       Action#}
                    {#     </a>#}
                    {#   </span>#}
                    {#   <a href="#" class="btn btn-primary d-none d-sm-inline-block">#}
                    {#     <i class="bi bi-plus"></i>#}
                    {#     Other action#}
                    {#   </a>#}
                    {# </div>#}
                  {% endblock %}
                </div>
                <!-- messages -->
                {#                <div id="messages">#}
                {#                  {% block messages %}#}
                {#                    {% if messages %}#}
                {#                      {% for message in messages %}#}
                {#                        <div class="alert {{ message.tags }} show">#}
                {#                          {{ message }}#}
                {#                          {% if "dismissible" in message.tags %}#}
                {#                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>#}
                {#                          {% endif %}#}
                {#                        </div>#}
                {#                      {% endfor %}#}
                {#                    {% endif %}#}
                {#                  {% endblock %}#}
                {#                </div>#}
              </div>
            </div>
          {% endblock %}
          {% block page-body %}
            <div id="page-body" class="page-body">
              {% block content %}
                <div id="content" class="card">
                  {% block card %}{% endblock %}</div>
              {% endblock %}
            </div>
          {% endblock %}
        </div>
      {% endblock %}

    {% endblock %}
  </div>
{% endblock %}

{% block modal %}
  <div id="modal" class="modal">
    <div id="dialog" class="modal-dialog modal-dialog-centered" role="document" hx-target="this">
      <!-- insert modal content here -->
    </div>
  </div>
{% endblock %}

{% block toasts %}
  <div {# hx-ext="ws" ws-connect="/ws/messages" #}>
    <div id="toasts" data-toast-container class="toast-container position-fixed bottom-0 end-0 p-3 pb-5">
      {# include one hidden toast as template for Js cloning #}
      {% include 'common/toast.html' %}

      {% for message in messages %}
        {# render toasts for pending Django messages, show them immediately #}
        {% include 'common/toast.html' with message=message %}
      {% endfor %}
    </div>
  </div>
{% endblock %}
